Update recommendation configuration

Updates an existing recommendation configuration by its ID.

Request

PUT /reco/{id}

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Path Parameters

ParameterTypeRequiredDescription
idintegerYesID of the recommendation configuration to update.

Request Body

Provide the fields to update. All fields are optional.

FieldTypeRequiredDescription
namestringNoDisplay name for the recommendation.
activebooleanNoWhether the recommendation is active.
recommendationTypestringNoAlgorithm type. One of: textSimilarity, boughtTogether, cartBased, userBased, pictureSimilarity, none.

Example Request

{
  "name": "Similar Products (Updated)",
  "active": false
}

Response

Returns the updated recommendation configuration object.

Example Response

{
  "id": 1,
  "name": "Similar Products (Updated)",
  "active": false,
  "recommendationType": "textSimilarity",
  "user": "[email protected]"
}